Bug 16237 - Adding new EDI account results in Perl error when plugins are not activated
Summary: Adding new EDI account results in Perl error when plugins are not activated
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jesse Weaver
QA Contact: Testopia
URL:
Keywords:
Depends on: 7736
Blocks: 16206
  Show dependency treegraph
 
Reported: 2016-04-11 06:04 UTC by Katrin Fischer
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16237: Allow entering of EDI accounts with plugins disabled (2.38 KB, patch)
2016-04-12 22:58 UTC, Jesse Weaver
Details | Diff | Splinter Review
[PASSED QA] Bug 16237: Allow entering of EDI accounts with plugins disabled (2.49 KB, patch)
2016-04-13 22:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-04-11 06:04:13 UTC
When trying to add a new EDI account, following error is shown:

Software error:

Can't call method "GetPlugins" on an undefined value at /home/katrin/kohaclone/admin/edi_accounts.pl line 56.
Comment 1 Owen Leonard 2016-04-12 20:32:07 UTC
I get this error if I have plugins disabled in koha-conf.xml.
Comment 2 Jesse Weaver 2016-04-12 22:58:36 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-04-13 22:27:12 UTC
Hm, where is the sign off?
Comment 4 Katrin Fischer 2016-04-13 22:29:08 UTC
Hm, assuming this is just missing the sign-off line:
oleonard 	@later tell cait Bug 16237 has a signoff
Comment 5 Katrin Fischer 2016-04-13 22:40:46 UTC
Created attachment 50218 [details] [review]
[PASSED QA] Bug 16237: Allow entering of EDI accounts with plugins disabled

Test plan:
  1. Disable <enable_plugins> in koha-conf.xml (restart memcached if needed).
  2. Open the EDI accounts admin page.
  3. Notice incredible breakage.
  4. Apply patch.
  5. Reload page, should now display (and the "Plugin:" dropdown should
     be hidden).
  6. Re-enable <enable_plugins> (and the UseKohaPlugins syspref as
     well).
  7. Ensure that the "Plugin:" dropdown is once again displayed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Brendan Gallagher 2016-04-20 16:49:22 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!
Comment 7 Julian Maurice 2016-04-21 07:29:57 UTC
Not needed in stable versions, status changed to RESOLVED